Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.datacache
Class DataCachePCDataImpl

    java.lang.Object
      |
      +--kodo.runtime.AbstractPCData
            |
            +--kodo.runtime.PCDataImpl
                  |
                  +--kodo.datacache.DataCachePCDataImpl

All Implemented Interfaces:
  DataCachePCData, PCData, Serializable

public class DataCachePCDataImpl
extends PCDataImpl
implements DataCachePCData

Specialized `PCData` implementation for data caching. This implementation is properly synchronized.

See Also:
  Serialized Form

Fields inherited from class kodo.runtime.AbstractPCData
`NULL`

Constructor Summary
`DataCachePCDataImpl(Object oid, ClassMetaData meta)` Constructor.

Method Summary
`void` | `clearData(int index)`
`Object` | `getData(int index)` Return the data stored in the given field index.
`Object` | `getImplData()` Returns the instance-level impl data, or null if none.
`Object` | `getImplData(int index)`
`Object` | `getIntermediate(int index)`
`Object` | `getVersion()` Returns the current version object that this data was loaded from.
`boolean` | `isLoaded(int index)` Whether the given field index has stored data.
`boolean` | `isTimedOut()` Whether this data is timed out.
`void` | `setData(int index, Object val)`
`void` | `setImplData(int index, Object val)`
`void` | `setImplData(Object val)` Sets the stored instance-level impl data.
`void` | `setIntermediate(int index, Object val)`
`void` | `setLoaded(int index, boolean loaded)`
`void` | `setVersion(Object version)` Sets the current version object that this data was loaded from.
`void` | `store(KodoStateManager sm)` Store all loaded fields of the state manager.
`void` | `store(KodoStateManager sm, BitSet fields)` Store the given fields from the state manager.
`protected Object` | `toData(FieldMetaData fmd, Object val)`
`protected Object` | `toEmbeddedData(Object val)`
`protected Object` | `toNestedData(int type, Object val, boolean embedded)`

Methods inherited from class kodo.runtime.PCDataImpl
`getId, getLoaded, getType, load, load, loadField, loadImplData, loadImplData, loadIntermediate, loadVersion, newEmbeddedPCData, storeField, storeImplData, storeImplData, storeIntermediate, storeVersion`

Methods inherited from class kodo.runtime.AbstractPCData
`toEmbeddedField, toField, toNestedField, toRelationData, toRelationField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kodo.runtime.PCData
`getId, getType, load, load`

Constructor Detail

### DataCachePCDataImpl

    public DataCachePCDataImpl(Object oid,
                               ClassMetaData meta)

  Constructor.

Method Detail

### isTimedOut

    public boolean isTimedOut()

  Description copied from interface: `DataCachePCData`
  Whether this data is timed out.
  Specified by:
    `isTimedOut` in interface `DataCachePCData`

### getData

    public Object getData(int index)

  Description copied from interface: `PCData`
  Return the data stored in the given field index.
  Specified by:
    `getData` in interface `PCData`
  Overrides:
    `getData` in class `PCDataImpl`

### setData

    public void setData(int index,
                        Object val)

  Overrides:
    `setData` in class `PCDataImpl`

### clearData

    public void clearData(int index)

  Overrides:
    `clearData` in class `PCDataImpl`

### getImplData

    public Object getImplData()

  Description copied from interface: `PCData`
  Returns the instance-level impl data, or null if none.
  Specified by:
    `getImplData` in interface `PCData`
  Overrides:
    `getImplData` in class `PCDataImpl`

### setImplData

    public void setImplData(Object val)

  Description copied from interface: `PCData`
  Sets the stored instance-level impl data.
  Specified by:
    `setImplData` in interface `PCData`
  Overrides:
    `setImplData` in class `PCDataImpl`

### getImplData

    public Object getImplData(int index)

  Overrides:
    `getImplData` in class `PCDataImpl`

### setImplData

    public void setImplData(int index,
                            Object val)

  Overrides:
    `setImplData` in class `PCDataImpl`

### getIntermediate

    public Object getIntermediate(int index)

  Overrides:
    `getIntermediate` in class `PCDataImpl`

### setIntermediate

    public void setIntermediate(int index,
                                Object val)

  Overrides:
    `setIntermediate` in class `PCDataImpl`

### isLoaded

    public boolean isLoaded(int index)

  Description copied from interface: `PCData`
  Whether the given field index has stored data.
  Specified by:
    `isLoaded` in interface `PCData`
  Overrides:
    `isLoaded` in class `PCDataImpl`

### setLoaded

    public void setLoaded(int index,
                          boolean loaded)

  Overrides:
    `setLoaded` in class `PCDataImpl`

### getVersion

    public Object getVersion()

  Description copied from interface: `PCData`
  Returns the current version object that this data was loaded from.
  Specified by:
    `getVersion` in interface `PCData`
  Overrides:
    `getVersion` in class `PCDataImpl`

### setVersion

    public void setVersion(Object version)

  Description copied from interface: `PCData`
  Sets the current version object that this data was loaded from.
  Specified by:
    `setVersion` in interface `PCData`
  Overrides:
    `setVersion` in class `PCDataImpl`

### store

    public void store(KodoStateManager sm)

  Description copied from interface: `PCData`
  Store all loaded fields of the state manager.
  Specified by:
    `store` in interface `PCData`
  Overrides:
    `store` in class `PCDataImpl`

### store

    public void store(KodoStateManager sm,
                      BitSet fields)

  Description copied from interface: `PCData`
  Store the given fields from the state manager.
  Specified by:
    `store` in interface `PCData`
  Overrides:
    `store` in class `PCDataImpl`

### toData

    protected Object toData(FieldMetaData fmd,
                            Object val)

  Overrides:
    `toData` in class `AbstractPCData`

### toNestedData

    protected Object toNestedData(int type,
                                  Object val,
                                  boolean embedded)

  Overrides:
    `toNestedData` in class `AbstractPCData`

### toEmbeddedData

    protected Object toEmbeddedData(Object val)

  Overrides:
    `toEmbeddedData` in class `AbstractPCData`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.